org.apache.activemq.artemis.jms.client

## Class ActiveMQBytesMessage

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQMessage
  - - org.apache.activemq.artemis.jms.client.ActiveMQBytesMessage

- All Implemented Interfaces:
    javax.jms.BytesMessage, javax.jms.Message
  Direct Known Subclasses:
    ActiveMQBytesCompatibleMessage

      public class ActiveMQBytesMessage
      extends ActiveMQMessage
      implements javax.jms.BytesMessage

  ActiveMQ Artemis implementation of a JMS `BytesMessage`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `TYPE`

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `message, OLD_QUEUE_QUALIFIED_PREFIX, OLD_TEMP_QUEUE_QUALIFED_PREFIX, OLD_TEMP_TOPIC_QUALIFED_PREFIX, OLD_TOPIC_QUALIFIED_PREFIX, propertiesReadOnly, readOnly, replyTo`

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_DELAY, DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ActiveMQBytesMessage(javax.jms.BytesMessage foreign, ClientSession session)` Foreign message constructor
    `protected` | `ActiveMQBytesMessage(ClientMessage message, ClientSession session)` Constructor on receipt at client side
    `protected` | `ActiveMQBytesMessage(ClientSession session)` This constructor is used to construct messages prior to sending

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearBody()`
    `void` | `doBeforeReceive()`
    `void` | `doBeforeSend()`
    `protected <T> T` | `getBodyInternal(Class<T> c)`
    `long` | `getBodyLength()`
    `byte` | `getType()`
    `boolean` | `isBodyAssignableTo(Class c)`
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `int` | `readBytes(byte[] value)`
    `int` | `readBytes(byte[] value, int length)`
    `char` | `readChar()`
    `double` | `readDouble()`
    `float` | `readFloat()`
    `int` | `readInt()`
    `long` | `readLong()`
    `short` | `readShort()`
    `int` | `readUnsignedByte()`
    `int` | `readUnsignedShort()`
    `String` | `readUTF()`
    `void` | `reset()`
    `void` | `writeBoolean(boolean value)`
    `void` | `writeByte(byte value)`
    `void` | `writeBytes(byte[] value)`
    `void` | `writeBytes(byte[] value, int offset, int length)`
    `void` | `writeChar(char value)`
    `void` | `writeDouble(double value)`
    `void` | `writeFloat(float value)`
    `void` | `writeInt(int value)`
    `void` | `writeLong(long value)`
    `void` | `writeObject(Object value)`
    `void` | `writeShort(short value)`
    `void` | `writeUTF(String value)`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `acknowledge, checkBuffer, checkPrefix, checkPrefixStr, checkRead, checkWrite, clearProperties, coreCompositeTypeToJMSCompositeType, coreMaptoJMSMap, createMessage, createMessage, getBody, getBooleanProperty, getByteProperty, getCoreMessage, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, hasNoBody, prefixOf, propertyExists, resetMessageID, saveToOutputStream, setBooleanProperty, setByteProperty, setClientAcknowledge, setDoubleProperty, setFloatProperty, setIndividualAcknowledge, setInputStream, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setOutputStream, setShortProperty, setStringProperty, toString, waitCompletionOnStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Message

      `acknowledge, clearProperties, getBody, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

- - ### Field Detail

    - #### TYPE

          public static final byte TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActiveMQBytesMessage

          protected ActiveMQBytesMessage(ClientSession session)

      This constructor is used to construct messages prior to sending

    - #### ActiveMQBytesMessage

          protected ActiveMQBytesMessage(ClientMessage message,
                                         ClientSession session)

      Constructor on receipt at client side

    - #### ActiveMQBytesMessage

          public ActiveMQBytesMessage(javax.jms.BytesMessage foreign,
                                      ClientSession session)
                               throws javax.jms.JMSException

      Foreign message constructor
      Throws:
        `javax.jms.JMSException`

  - ### Method Detail

    - #### readBoolean

          public boolean readBoolean()
                              throws javax.jms.JMSException

      Specified by:
        `readBoolean` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readByte

          public byte readByte()
                        throws javax.jms.JMSException

      Specified by:
        `readByte` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readUnsignedByte

          public int readUnsignedByte()
                               throws javax.jms.JMSException

      Specified by:
        `readUnsignedByte` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readShort

          public short readShort()
                          throws javax.jms.JMSException

      Specified by:
        `readShort` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readUnsignedShort

          public int readUnsignedShort()
                                throws javax.jms.JMSException

      Specified by:
        `readUnsignedShort` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readChar

          public char readChar()
                        throws javax.jms.JMSException

      Specified by:
        `readChar` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readInt

          public int readInt()
                      throws javax.jms.JMSException

      Specified by:
        `readInt` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readLong

          public long readLong()
                        throws javax.jms.JMSException

      Specified by:
        `readLong` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readFloat

          public float readFloat()
                          throws javax.jms.JMSException

      Specified by:
        `readFloat` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readDouble

          public double readDouble()
                            throws javax.jms.JMSException

      Specified by:
        `readDouble` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readUTF

          public String readUTF()
                         throws javax.jms.JMSException

      Specified by:
        `readUTF` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readBytes

          public int readBytes(byte[] value)
                        throws javax.jms.JMSException

      Specified by:
        `readBytes` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readBytes

          public int readBytes(byte[] value,
                               int length)
                        throws javax.jms.JMSException

      Specified by:
        `readBytes` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeBoolean

          public void writeBoolean(boolean value)
                            throws javax.jms.JMSException

      Specified by:
        `writeBoolean` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeByte

          public void writeByte(byte value)
                         throws javax.jms.JMSException

      Specified by:
        `writeByte` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeShort

          public void writeShort(short value)
                          throws javax.jms.JMSException

      Specified by:
        `writeShort` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeChar

          public void writeChar(char value)
                         throws javax.jms.JMSException

      Specified by:
        `writeChar` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeInt

          public void writeInt(int value)
                        throws javax.jms.JMSException

      Specified by:
        `writeInt` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeLong

          public void writeLong(long value)
                         throws javax.jms.JMSException

      Specified by:
        `writeLong` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeFloat

          public void writeFloat(float value)
                          throws javax.jms.JMSException

      Specified by:
        `writeFloat` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeDouble

          public void writeDouble(double value)
                           throws javax.jms.JMSException

      Specified by:
        `writeDouble` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeUTF

          public void writeUTF(String value)
                        throws javax.jms.JMSException

      Specified by:
        `writeUTF` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeBytes

          public void writeBytes(byte[] value)
                          throws javax.jms.JMSException

      Specified by:
        `writeBytes` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeBytes

          public void writeBytes(byte[] value,
                                 int offset,
                                 int length)
                          throws javax.jms.JMSException

      Specified by:
        `writeBytes` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeObject

          public void writeObject(Object value)
                           throws javax.jms.JMSException

      Specified by:
        `writeObject` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### reset

          public void reset()
                     throws javax.jms.JMSException

      Specified by:
        `reset` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### doBeforeReceive

          public void doBeforeReceive()
                               throws ActiveMQException

      Overrides:
        `doBeforeReceive` in class `ActiveMQMessage`
      Throws:
        `ActiveMQException`

    - #### clearBody

          public void clearBody()
                         throws javax.jms.JMSException

      Specified by:
        `clearBody` in interface `javax.jms.Message`
      Overrides:
        `clearBody` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getBodyLength

          public long getBodyLength()
                             throws javax.jms.JMSException

      Specified by:
        `getBodyLength` in interface `javax.jms.BytesMessage`
      Throws:
        `javax.jms.JMSException`

    - #### doBeforeSend

          public void doBeforeSend()
                            throws Exception

      Overrides:
        `doBeforeSend` in class `ActiveMQMessage`
      Throws:
        `Exception`

    - #### getType

          public byte getType()

      Overrides:
        `getType` in class `ActiveMQMessage`

    - #### isBodyAssignableTo

          public boolean isBodyAssignableTo(Class c)

      Specified by:
        `isBodyAssignableTo` in interface `javax.jms.Message`
      Overrides:
        `isBodyAssignableTo` in class `ActiveMQMessage`

    - #### getBodyInternal

          protected <T> T getBodyInternal(Class<T> c)

      Overrides:
        `getBodyInternal` in class `ActiveMQMessage`

Copyright © 2020 The Apache Software Foundation. All rights reserved.